# Method: groups.memberships.create

Creates a `Membership`.

### HTTP request

`POST https://cloudidentity.googleapis.com/v1/{parent=groups/*}/memberships`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent `Group` resource under which to create the `Membership`. Must be of the form `groups/{group}`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/groups.memberships#Membership`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/identity/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).